Place a limit order
curl --request POST \
--url https://api.portalhq.io/api/v3/clients/me/integrations/agg/orders/limit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"venue": "<string>",
"venueMarketOutcomeId": "<string>",
"limitPriceRaw": "<string>",
"sizeRaw": "<string>",
"postOnly": true,
"expiresAt": "<string>",
"clientOrderId": "<string>"
}
'import requests
url = "https://api.portalhq.io/api/v3/clients/me/integrations/agg/orders/limit"
payload = {
"venue": "<string>",
"venueMarketOutcomeId": "<string>",
"limitPriceRaw": "<string>",
"sizeRaw": "<string>",
"postOnly": True,
"expiresAt": "<string>",
"clientOrderId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
venue: '<string>',
venueMarketOutcomeId: '<string>',
limitPriceRaw: '<string>',
sizeRaw: '<string>',
postOnly: true,
expiresAt: '<string>',
clientOrderId: '<string>'
})
};
fetch('https://api.portalhq.io/api/v3/clients/me/integrations/agg/orders/limit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.portalhq.io/api/v3/clients/me/integrations/agg/orders/limit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'venue' => '<string>',
'venueMarketOutcomeId' => '<string>',
'limitPriceRaw' => '<string>',
'sizeRaw' => '<string>',
'postOnly' => true,
'expiresAt' => '<string>',
'clientOrderId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.portalhq.io/api/v3/clients/me/integrations/agg/orders/limit"
payload := strings.NewReader("{\n \"venue\": \"<string>\",\n \"venueMarketOutcomeId\": \"<string>\",\n \"limitPriceRaw\": \"<string>\",\n \"sizeRaw\": \"<string>\",\n \"postOnly\": true,\n \"expiresAt\": \"<string>\",\n \"clientOrderId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.portalhq.io/api/v3/clients/me/integrations/agg/orders/limit")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"venue\": \"<string>\",\n \"venueMarketOutcomeId\": \"<string>\",\n \"limitPriceRaw\": \"<string>\",\n \"sizeRaw\": \"<string>\",\n \"postOnly\": true,\n \"expiresAt\": \"<string>\",\n \"clientOrderId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.portalhq.io/api/v3/clients/me/integrations/agg/orders/limit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"venue\": \"<string>\",\n \"venueMarketOutcomeId\": \"<string>\",\n \"limitPriceRaw\": \"<string>\",\n \"sizeRaw\": \"<string>\",\n \"postOnly\": true,\n \"expiresAt\": \"<string>\",\n \"clientOrderId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"orderId": "<string>",
"status": "<string>",
"venue": "<string>",
"limitPriceRaw": "<string>",
"limitSizeRaw": "<string>",
"filledSizeRaw": "<string>",
"remainingSizeRaw": "<string>",
"quoteId": "<string>",
"venueOrderId": "<string>",
"reservedCostRaw": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "yield-xyz-borrow returned a response for GET /v1/positions that does not match the expected schema",
"id": "INTEGRATION_RESPONSE_SCHEMA_DRIFT",
"details": {
"integration": "yield-xyz-borrow",
"endpoint": "GET /v1/positions",
"issues": [
{
"path": "supplyBalances.0.balanceUsd",
"message": "Expected string, received number",
"code": "invalid_type"
}
]
}
}{
"error": "<string>"
}Agg
Place a limit order
A resting limit order. limitPriceRaw and sizeRaw are integer strings scaled by 1e6 (200000 is 0.20).
Needs a linked Agg session (POST /link). Not available to account-abstracted clients.
POST
/
clients
/
me
/
integrations
/
agg
/
orders
/
limit
Place a limit order
curl --request POST \
--url https://api.portalhq.io/api/v3/clients/me/integrations/agg/orders/limit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"venue": "<string>",
"venueMarketOutcomeId": "<string>",
"limitPriceRaw": "<string>",
"sizeRaw": "<string>",
"postOnly": true,
"expiresAt": "<string>",
"clientOrderId": "<string>"
}
'import requests
url = "https://api.portalhq.io/api/v3/clients/me/integrations/agg/orders/limit"
payload = {
"venue": "<string>",
"venueMarketOutcomeId": "<string>",
"limitPriceRaw": "<string>",
"sizeRaw": "<string>",
"postOnly": True,
"expiresAt": "<string>",
"clientOrderId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
venue: '<string>',
venueMarketOutcomeId: '<string>',
limitPriceRaw: '<string>',
sizeRaw: '<string>',
postOnly: true,
expiresAt: '<string>',
clientOrderId: '<string>'
})
};
fetch('https://api.portalhq.io/api/v3/clients/me/integrations/agg/orders/limit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.portalhq.io/api/v3/clients/me/integrations/agg/orders/limit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'venue' => '<string>',
'venueMarketOutcomeId' => '<string>',
'limitPriceRaw' => '<string>',
'sizeRaw' => '<string>',
'postOnly' => true,
'expiresAt' => '<string>',
'clientOrderId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.portalhq.io/api/v3/clients/me/integrations/agg/orders/limit"
payload := strings.NewReader("{\n \"venue\": \"<string>\",\n \"venueMarketOutcomeId\": \"<string>\",\n \"limitPriceRaw\": \"<string>\",\n \"sizeRaw\": \"<string>\",\n \"postOnly\": true,\n \"expiresAt\": \"<string>\",\n \"clientOrderId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.portalhq.io/api/v3/clients/me/integrations/agg/orders/limit")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"venue\": \"<string>\",\n \"venueMarketOutcomeId\": \"<string>\",\n \"limitPriceRaw\": \"<string>\",\n \"sizeRaw\": \"<string>\",\n \"postOnly\": true,\n \"expiresAt\": \"<string>\",\n \"clientOrderId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.portalhq.io/api/v3/clients/me/integrations/agg/orders/limit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"venue\": \"<string>\",\n \"venueMarketOutcomeId\": \"<string>\",\n \"limitPriceRaw\": \"<string>\",\n \"sizeRaw\": \"<string>\",\n \"postOnly\": true,\n \"expiresAt\": \"<string>\",\n \"clientOrderId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"orderId": "<string>",
"status": "<string>",
"venue": "<string>",
"limitPriceRaw": "<string>",
"limitSizeRaw": "<string>",
"filledSizeRaw": "<string>",
"remainingSizeRaw": "<string>",
"quoteId": "<string>",
"venueOrderId": "<string>",
"reservedCostRaw": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "yield-xyz-borrow returned a response for GET /v1/positions that does not match the expected schema",
"id": "INTEGRATION_RESPONSE_SCHEMA_DRIFT",
"details": {
"integration": "yield-xyz-borrow",
"endpoint": "GET /v1/positions",
"issues": [
{
"path": "supplyBalances.0.balanceUsd",
"message": "Expected string, received number",
"code": "invalid_type"
}
]
}
}{
"error": "<string>"
}Authorizations
Client API Key or Client Session Token (CST). Pass as a Bearer token in the Authorization header.
Body
application/json
Minimum string length:
1Minimum string length:
1Available options:
buy, sell Pattern:
^[1-9][0-9]*$Pattern:
^[1-9][0-9]*$Available options:
GTC, GTD, FOK, FAK, IOC, ALO Response
Success
Show child attributes
Show child attributes
Was this page helpful?